X2Go Bug report logs - #1010
Slow repaint on window move (single application)

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: sebastian.loncar@gmail.com

Date: Sat, 19 Mar 2016 00:30:02 UTC

Severity: normal

Found in version 4.0.5.0-win32

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1010; Package x2goclient. (Sat, 19 Mar 2016 00:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to sebastian.loncar@gmail.com:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 19 Mar 2016 00:30:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Sebastian Loncar <sebastian.loncar@gmail.com>
To: submit@bugs.x2go.org
Subject: Slow repaint on window move (single application)
Date: Sat, 19 Mar 2016 01:25:31 +0100
[Message part 1 (text/plain, inline)]
Package: x2goclient
Version: 4.0.5.1

When connecting in single application mode, and you move the window by
dragging the title bar,  the app freezes. If you have two windows open, you
see on the windows behind the top window a very slow repaint (up to a
minute, depends on how long you moved the window before). After repaint,
the app works again.

This issue does not happen, if you maximize/restore the window or move them
to another monitor via keyboard shortcut.

Please see the attachment. I moved the xterm from the middle to the right,
i took the screenshot while the very long repaint process.

With this bug, the single app mode is nearly useless.

I'm using XFCE4 on Arch Linux.
[Message part 2 (text/html, inline)]
[Screenshot_2016-03-19_01-11-00.jpg (image/jpeg, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1010; Package x2goclient. (Mon, 16 May 2016 19:50:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Watson <twatson52@icloud.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 16 May 2016 19:50:01 GMT) Full text and rfc822 format available.

Message #10 received at 1010@bugs.x2go.org (full text, mbox):

From: Thomas Watson <twatson52@icloud.com>
To: 1010@bugs.x2go.org
Subject: Issue on OS X
Date: Mon, 16 May 2016 14:48:08 -0400
I have the exact problem with an Ubuntu 14.04 server and OSX 10.11 client. I set single application mode to launch /usr/bin/xterm. Moving the window incurs a 3 or 4 second delay before the application is responsive again. For the app I want to use (MATLAB), this makes single app mode completely useless for me as well. It pops up lots of small windows as GUI elements and these also have a slightly faster 1 or 2 second delay.

Marked as found in versions 4.0.5.0-win32; no longer marked as found in versions 4.0.5.1. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Fri, 12 Aug 2016 21:40:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1010; Package x2goclient. (Mon, 06 Feb 2017 09:50:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sukhu patel <sukhupatel@hotmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 06 Feb 2017 09:50:03 GMT) Full text and rfc822 format available.

Message #17 received at 1010@bugs.x2go.org (full text, mbox):

From: Sukhu patel <sukhupatel@hotmail.com>
Subject: Get Rank On first Page in Search Engine.
Date: Mon, 6 Feb 2017 09:43:23 +0000
[Message part 1 (text/plain, inline)]
Hi,

I am  Sukhu, Online Business Advisor,

We have a team of 85+ highly qualified professionals who are certified in Google Adwords and ISO standards providing a wide range of services in order to generate higher visitor traffic to your website.

This ensures that your website gets higher rankings on the search engine pages.

We offer following Services at much lower Cost:-

SEO (with activity plan), SMO (Linkdin, Facebook, Twitter, Google+, Pinterest, etc.), Website Designing and Technical Content Writing.

I’d be happy to send you our package, pricing and past work details, if you’d like to assess our work.

We provide all services at much lower cost than what it might be in house.

Please confirm which services you need really from us.

Looking forward to hearing from you.

Thanks and Regards

Sukhu   Andre




[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1010; Package x2goclient. (Wed, 08 Mar 2017 09:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to sebastian.loncar@gmail.com:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 08 Mar 2017 09:15:02 GMT) Full text and rfc822 format available.

Message #22 received at 1010@bugs.x2go.org (full text, mbox):

From: Sebastian Loncar <sebastian.loncar@gmail.com>
To: 1010@bugs.x2go.org
Subject: Feedback
Date: Wed, 8 Mar 2017 10:13:02 +0100
[Message part 1 (text/plain, inline)]
This issue is now 1 year old. It would be nice, if somebody could give a
short feedback if this issue wold be fixed in the future. I found out, this
issue occurs not in my local LAN, only via Internet. But the application
itself is very responsive (via internet, and the connection is fast), only
when moving the windows, there's a horrible slow repaint of the background.

Mit freundlichen Grüßen,
Sebastian Loncar
Geschäftsführer der Tamani UG
Mobil 0151-22389000
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1010; Package x2goclient. (Fri, 31 Mar 2017 07:40:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to akik@iki.fi:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 31 Mar 2017 07:40:03 GMT) Full text and rfc822 format available.

Message #27 received at 1010@bugs.x2go.org (full text, mbox):

From: Aki Ketolainen <akik@mykolab.com>
To: sebastian.loncar@gmail.com, 1010@bugs.x2go.org
Subject: Re: Slow repaint on window move (single application)
Date: Fri, 31 Mar 2017 10:29:49 +0300
Hi,

I noticed yesterday that disabling "show window contents while moving"
in Mate desktop and XFCE fix this behaviour. I haven't found the setting
to do this in Unity, though. Also KDE, LXDE and Windows on the client 
side
don't show this behaviour.

@sunweaver on #x2go on freenode commented that
"21:55 <@sunweaver> I guess a sustainabe fix is grabbing the window 
content client side and keep
                    that static pixmap until movement is over."

Best regards,

Aki


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1010; Package x2goclient. (Wed, 16 Aug 2017 16:10:01 GMT) Full text and rfc822 format available.

Message #30 received at 1010@bugs.x2go.org (full text, mbox):

From: Apple Inc. <e668807a64b5f8638392222af90c30ca@ns63.1and1.es>
To: 1010@bugs.x2go.org
Subject: Problem not resolved .H759940055593569
Date: Wed, 16 Aug 2017 17:05:10 +0100
[Message part 1 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1010; Package x2goclient. (Thu, 12 Oct 2017 13:25:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Τριανταφυλλιά Άννα Καττούλα <tkattoula@culture.gr>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 12 Oct 2017 13:25:02 GMT) Full text and rfc822 format available.

Message #35 received at 1010@bugs.x2go.org (full text, mbox):

From: Τριανταφυλλιά Άννα Καττούλα <tkattoula@culture.gr>
To: "IN@TUG.NET" <IN@TUG.NET>
Subject: RE: Very Urgent
Date: Thu, 12 Oct 2017 13:09:56 +0000
[Message part 1 (text/plain, inline)]

Complement of the season, I wish to inform you about an urgent Transaction I have for you.
For more details, Please contact my private Gmail: mrsamychan6@gmail.com

Best Regards,

Mrs Amy Chan.


[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1010; Package x2goclient. (Sun, 21 Jan 2018 21:20:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to philipkumbo1@executivemail.co.za:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 21 Jan 2018 21:20:04 GMT) Full text and rfc822 format available.

Message #40 received at 1010@bugs.x2go.org (full text, mbox):

From: Money Gram <money@moneygram.co.za>
Subject: Fw: Your US$850,000.00
Date: Mon, 22 Jan 2018 03:51:07 +0700 (WIT)
[Message part 1 (text/plain, inline)]



----Original Message----

From: philipkumbo@executivemail.co.za

Date: 19/01/2018 14:27 

To: 

Subj: Your US$850,000.00



 


 
  Normal
  0
  
  
  
  
  false
  false
  false
  
  EN-US
  X-NONE
  X-NONE
  
   
   
   
   
   
   
   
   
   
   
   
  
  MicrosoftInternetExplorer4
  
   
   
   
   
   
   
   
   
   
   
   
  


National
Road, Musina Limpopo, South Africa

Messina
Shopping Centre

National
Road, Musina Limpopo, South Africa

Tel:
+1-(800) 542-3590 (Customer care Hotline)

Tel:
+1-(800) 666-3947

Website:
www.moneygram.com

-------------------------------------------------------

CONGRATULATIONS
ONCE AGAIN AND VERY URGENT!

 

THIS
IS YOUR FINAL AND FINAL REMINDING NOTICE OF YOUR OUTSTANDING PAYMENT OF
US$850,000.00 TO BE CLAIM AND RELEASED TO YOU IMMEDIATELY FROM UNITED NATION COMPENSATION FUND:

 

 Attn:
Sole Beneficiary, 

 

I
write to inform you that we have agreed and already sent you US$41,554.00
dollars through money gram as we have been given the mandate
to transfer your full compensation payment total sum of US$850,000.00, I
 calling your telephone number to give you the information through phone
but you did not pick up my calls now I decided to email you the REFERENCE
NUMBER and sender name so that you will pick up the first payment US$41,554.00
today to enable us send another US$41,554.00 tomorrow as you
know we will be sending you only US$41,554.00 per day.

 

Below
are the Four payment of difference senders information 

 

Sender/Remitente:

REFERENCE NO#: 945-753-79

Sender Name: Mark Ambros

Amount Sent: US$35,936.16

 

Sender/Remitente:

REFERENCE NO#: 692-314-15

Sender Name: Philip
Ojadi

Amount Sent: US$5,617.74

 

You
can verify the reference number in any Money Gram office near you or by
tracking it on our website with this link,( https://secure.moneygram.com/track) 

 

You
have to re-confirm you’re to avoid any wrong deposit

Full
Name:

Home
Address :

Phone
Number:

Sex:

Age:

Occupation:

ID
Copy:

Send
it now to Dr. Philip Kumbo, Director United Nation Compensation Fund

 

philipkumbo@executivemail.co.za
 

Name Dr. Philip Kumbo 

 

WAITING
FOR YOUR URGENT RESPONSE. 

YOURS
FAITHFULLY, VIEW ATTACHED PAYMENT SLIPS

 

Yours
in Services,

Dr.
Mrs. Hendrina Cecilia Van Der Linden

Chief
Correspondence,

International
Customer Relation Officer

Moneyweb
Private Banking Pty Ltd

South
Africa. 

 




 


 
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
 










[Message part 2 (text/html, inline)]
[VAN DER LINDEN HENDRINA CECILIA (ID)-1.JPG (image/jpeg, attachment)]
[Slip Ojadi.pdf (application/pdf, attachment)]
[Slip Ambros-1.pdf (application/pdf, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1010; Package x2goclient. (Wed, 06 Jun 2018 16:35:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stripe <Support@malsbary1.hostpilot.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 06 Jun 2018 16:35:02 GMT) Full text and rfc822 format available.

Message #45 received at 1010@bugs.x2go.org (full text, mbox):

From: Stripe <Support@malsbary1.hostpilot.com>
Subject: Stripe Payment
Date: Wed, 6 Jun 2018 16:24:19 +0000
[Message part 1 (text/plain, inline)]
[Thumbnail for version as of 17:48, 23 September 2016]
Hello Users,
Congratulations! You have just received a payment of $590.80 You can view
the full details of this payment in your dashboard:

DASHBOARD<http://vivianedos2.com/Vivian/Ma>



Best,
The Stripe Team.

[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1010; Package x2goclient. (Wed, 06 Jun 2018 17:30:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stripe <Support@malsbary1.hostpilot.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 06 Jun 2018 17:30:02 GMT) Full text and rfc822 format available.

Message #50 received at 1010@bugs.x2go.org (full text, mbox):

From: Stripe <Support@malsbary1.hostpilot.com>
Subject: Stripe Account Re-authenticate
Date: Wed, 6 Jun 2018 17:11:57 +0000
[Message part 1 (text/plain, inline)]
[Thumbnail for version as of 17:48, 23 September 2016]

Dear Customer

Thank you for choosing Stripe Payment method

We require our users to re-authenticate their account, due to some recent update in our server.

RE-AUTHENTICATE<http://vivianedos2.com/vivian/Ma>



Thanks,

The Stripe team


[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1010; Package x2goclient. (Fri, 08 Jun 2018 01:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Amazon <Amazon@bowerman.hostpilot.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 08 Jun 2018 01:45:03 GMT) Full text and rfc822 format available.

Message #55 received at 1010@bugs.x2go.org (full text, mbox):

From: Amazon <Amazon@bowerman.hostpilot.com>
Subject: Update Your Amazon Payment
Date: Fri, 8 Jun 2018 01:33:11 +0000
[Message part 1 (text/plain, inline)]
[https://gallery.mailchimp.com/0652b55262f85a83e3574fb5f/images/50a6e54d-db5e-4ce3-89aa-4e8b02a04fa2.jpg]




Hello User,

We are having trouble authorizing your payment method for transaction. Please update your payment method. If your payment information is correct (such as expiry date and billing address), please contact your bank for more details.





Update your payment method<https://newvivan.com/amae/amazon.com/Amazon>



*Your bank may have declined the charge if the name, expiration date, or ZIP code you entered does not match the bank’s information. If your card has expired, you recently moved, or you received a new card from your bank,  you may need to update the card number, expiration date, and ZIP code to ensure your card continues to work. If the payment details you entered are correct, we suggest using the phone number on the back of your card to contact your bank to learn more about their policies. Please have the exact dollar amount and details of this purchase when you call your bank.

If paying by credit card is not an option, you can buy Amazon.com Gift Card claim codes with cash from authorized resellers at a store near you<https://newvivan.com/amae/amazon.com/Amazon>.

This email was sent from a notification-only address that cannot accept incoming email. Please do not reply to this message.








[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Dec 11 07:29:48 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.